# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes

# vlMFC::MFCWindow Class Reference

The MFCWindow class is an MFC CWnd with the functionalities of a Win32Context. More...

`#include <MFCWindow.hpp>`

Inheritance diagram for vlMFC::MFCWindow:

List of all members.

## Public Member Functions

| MFCWindow ()
virtual | ~MFCWindow ()
bool | initMFCWindow (CWnd *parent, MFCWindow *share_context, const vl::String &title, const vl::OpenGLContextFormat &fmt, int x=0, int y=0, int width=640, int height=480)
| Creates the window and initializes the OpenGL rendering context.
HWND | hwnd () const
| Returns the Win32 window handle.
afx_msg void | OnPaint ()
afx_msg void | OnDestroy ()
afx_msg int | OnCreate (LPCREATESTRUCT lpCreateStruct)
afx_msg void | OnKeyDown (UINT nChar, UINT nRepCnt, UINT nFlags)
afx_msg void | OnKeyUp (UINT nChar, UINT nRepCnt, UINT nFlags)
afx_msg void | OnLButtonDblClk (UINT nFlags, CPoint point)
afx_msg void | OnLButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnLButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnMButtonDblClk (UINT nFlags, CPoint point)
afx_msg void | OnMButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnMButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnMouseMove (UINT nFlags, CPoint point)
afx_msg BOOL | OnMouseWheel (UINT nFlags, short zDelta, CPoint pt)
afx_msg void | OnRButtonDblClk (UINT nFlags, CPoint point)
afx_msg void | OnRButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnRButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnSize (UINT nType, int cx, int cy)
afx_msg void | OnDropFiles (HDROP hDropInfo)

## Protected Member Functions

void | destroyGLContext ()
void | countAndCapture ()
void | countAndRelease ()

## Protected Attributes

int | mMouseDownCount

## Static Protected Attributes

static CString | mClassName

## Detailed Description

The MFCWindow class is an MFC CWnd with the functionalities of a Win32Context.

Definition at line 47 of file MFCWindow.hpp.

## Constructor & Destructor Documentation

vlMFC::MFCWindow::MFCWindow | ( | ) | `[inline]`

Definition at line 50 of file MFCWindow.hpp.

References vl::Object::setAutomaticDelete().

MFCWindow::~MFCWindow | ( | ) | `[virtual]`

Definition at line 82 of file MFCWindow.cpp.

## Member Function Documentation

bool MFCWindow::initMFCWindow | ( | CWnd * | parent,
|  | MFCWindow * | share_context,
|  | const vl::String & | title,
|  | const vl::OpenGLContextFormat & | fmt,
|  | int | x = `0`,
|  | int | y = `0`,
|  | int | width = `640`,
|  | int | height = `480`
| ) |  |

Creates the window and initializes the OpenGL rendering context.

Definition at line 94 of file MFCWindow.cpp.

References vlWin32::Win32Context::hglrc().

HWND vlMFC::MFCWindow::hwnd | ( | ) | const`[inline, virtual]`

Returns the Win32 window handle.

Implements vlWin32::Win32Context.

Definition at line 58 of file MFCWindow.hpp.

void MFCWindow::OnPaint | ( | ) |

Definition at line 140 of file MFCWindow.cpp.

void MFCWindow::OnDestroy | ( | ) |

Definition at line 134 of file MFCWindow.cpp.

int MFCWindow::OnCreate | ( | LPCREATESTRUCT | lpCreateStruct ) |

Definition at line 87 of file MFCWindow.cpp.

void MFCWindow::OnKeyDown | ( | UINT | nChar,
|  | UINT | nRepCnt,
|  | UINT | nFlags
| ) |  |

Definition at line 159 of file MFCWindow.cpp.

References vl::Key_None, and vlWin32::translateKeyEvent().

void MFCWindow::OnKeyUp | ( | UINT | nChar,
|  | UINT | nRepCnt,
|  | UINT | nFlags
| ) |  |

Definition at line 167 of file MFCWindow.cpp.

References vl::Key_None, and vlWin32::translateKeyEvent().

void MFCWindow::OnLButtonDblClk | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 192 of file MFCWindow.cpp.

References vl::LeftButton.

void MFCWindow::OnLButtonDown | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 198 of file MFCWindow.cpp.

References vl::LeftButton.

void MFCWindow::OnLButtonUp | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 204 of file MFCWindow.cpp.

References vl::LeftButton.

void MFCWindow::OnMButtonDblClk | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 210 of file MFCWindow.cpp.

References vl::MiddleButton.

void MFCWindow::OnMButtonDown | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 216 of file MFCWindow.cpp.

References vl::MiddleButton.

void MFCWindow::OnMButtonUp | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 222 of file MFCWindow.cpp.

References vl::MiddleButton.

void MFCWindow::OnMouseMove | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 228 of file MFCWindow.cpp.

BOOL MFCWindow::OnMouseWheel | ( | UINT | nFlags,
|  | short | zDelta,
|  | CPoint | pt
| ) |  |

Definition at line 233 of file MFCWindow.cpp.

void MFCWindow::OnRButtonDblClk | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 239 of file MFCWindow.cpp.

References vl::RightButton.

void MFCWindow::OnRButtonDown | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 245 of file MFCWindow.cpp.

References vl::RightButton.

void MFCWindow::OnRButtonUp | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 251 of file MFCWindow.cpp.

References vl::RightButton.

void MFCWindow::OnSize | ( | UINT | nType,
|  | int | cx,
|  | int | cy
| ) |  |

Definition at line 272 of file MFCWindow.cpp.

void MFCWindow::OnDropFiles | ( | HDROP | hDropInfo ) |

Definition at line 257 of file MFCWindow.cpp.

void MFCWindow::destroyGLContext | ( | ) | `[protected]`

Definition at line 111 of file MFCWindow.cpp.

void MFCWindow::countAndCapture | ( | ) | `[protected]`

Definition at line 175 of file MFCWindow.cpp.

void MFCWindow::countAndRelease | ( | ) | `[protected]`

Definition at line 182 of file MFCWindow.cpp.

## Member Data Documentation

int vlMFC::MFCWindow::mMouseDownCount`[protected]`

Definition at line 92 of file MFCWindow.hpp.

CString MFCWindow::mClassName`[static, protected]`

Definition at line 93 of file MFCWindow.hpp.

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlMFC/MFCWindow.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlMFC/MFCWindow.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.